oracle.security.jps.service.policystore.PolicyStoreIncompatibleVersionException: JPS-06100: Policy Store version 11.1.1.6.0 and Oracle Platform Security Services Version 11.1.1.4.0 are not compatible.

Searched on Google with the first line of a JAVA stack trace?

We can recommend more relevant solutions and speed up debugging when you paste your entire stack trace with the exception message. Try a sample exception.

Recommended solutions based on your search

Solutions on the web

via Oracle Community by Sandy, 1 year ago
JPS-06100: Policy Store version 11.1.1.6.0 and Oracle Platform Security Services Version 11.1.1.4.0 are not compatible.
oracle.security.jps.service.policystore.PolicyStoreIncompatibleVersionException: JPS-06100: Policy Store version 11.1.1.6.0 and Oracle Platform Security Services Version 11.1.1.4.0 are not compatible.
at oracle.security.jps.internal.policystore.ldap.LdapPolicyStore.initial(LdapPolicyStore.java:402)
at oracle.security.jps.internal.policystore.ldap.LdapPolicyStore.(LdapPolicyStore.java:365)
at oracle.security.jps.internal.policystore.ldap.LdapPolicyStoreProvider.getInstance(LdapPolicyStoreProvider.java:153)
at oracle.security.jps.internal.policystore.ldap.LdapPolicyStoreProvider.getInstance(LdapPolicyStoreProvider.java:73)
at oracle.security.jps.internal.core.runtime.ContextFactoryImpl.findServiceInstance(ContextFactoryImpl.java:139)
at oracle.security.jps.internal.core.runtime.ContextFactoryImpl.getContext(ContextFactoryImpl.java:170)
at oracle.security.jps.internal.core.runtime.ContextFactoryImpl.getContext(ContextFactoryImpl.java:191)
at oracle.security.jps.internal.core.runtime.JpsContextFactoryImpl.getContext(JpsContextFactoryImpl.java:132)
at oracle.security.jps.internal.core.runtime.JpsContextFactoryImpl.getContext(JpsContextFactoryImpl.java:127)
at oracle.security.jps.internal.policystore.PolicyUtil$1.run(PolicyUtil.java:850)
at oracle.security.jps.internal.policystore.PolicyUtil$1.run(PolicyUtil.java:844)
at oracle.security.jps.internal.policystore.PolicyUtil.getDefaultPolicyStore(PolicyUtil.java:844)
at oracle.security.jps.internal.policystore.PolicyDelegationController.(PolicyDelegationController.java:291)
at oracle.security.jps.internal.policystore.PolicyDelegationController.(PolicyDelegationController.java:285)
at oracle.security.jps.internal.policystore.JavaPolicyProvider.(JavaPolicyProvider.java:270)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)

Users with the same issue

You are the first who have seen this exception.

Write tip

Know the solutions? Share your knowledge to help other developers to debug faster.